Module java.base
Package java.net.spi

## Class URLStreamHandlerProvider

- java.lang.Object
- - java.net.spi.URLStreamHandlerProvider

- All Implemented Interfaces:
    `URLStreamHandlerFactory`

      public abstract class URLStreamHandlerProvider
      extends Object
      implements URLStreamHandlerFactory

  URL stream handler service-provider class.

  A URL stream handler provider is a concrete subclass of this class that has a zero-argument constructor. URL stream handler providers may be installed in an instance of the Java platform by adding them to the application class path.

  A URL stream handler provider identifies itself with a provider-configuration file named java.net.spi.URLStreamHandlerProvider in the resource directory META-INF/services. The file should contain a list of fully-qualified concrete URL stream handler provider class names, one per line.

  URL stream handler providers are located at runtime, as specified in the URL constructor.

  Since:
    9

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `URLStreamHandlerProvider()` | Initializes a new URL stream handler provider.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.net.URLStreamHandlerFactory

      `createURLStreamHandler`

- - ### Constructor Detail

    - #### URLStreamHandlerProvider

          protected URLStreamHandlerProvider()

      Initializes a new URL stream handler provider.
      Throws:
        `SecurityException` - If a security manager has been installed and it denies `RuntimePermission``("setFactory")`.